## net.dontdrinkandroot.cache.utils
Class Md5

    java.lang.Object
      net.dontdrinkandroot.cache.utils.Md5

    public class Md5

extends Object

Author:
  Philip W. Sorst <philip@sorst.net>

Constructor Summary
`Md5(byte[] md5Bytes)`
`Md5(String s)`

Method Summary
`static byte[]` `decodeHex(char[] data)`
`static char[]` `encodeHex(byte[] data)`
`boolean` `equals(Object obj)`
`static Md5` `fromMd5Hex(String md5Hex)`
`byte[]` `getBytes()`
`String` `getHex()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Md5

    public Md5(String s)

### Md5

    public Md5(byte[] md5Bytes)

Method Detail

### fromMd5Hex

    public static Md5 fromMd5Hex(String md5Hex)
                          throws Md5Exception

  Throws:
    `Md5Exception`

### getBytes

    public byte[] getBytes()

### getHex

    public String getHex()

### encodeHex

    public static char[] encodeHex(byte[] data)

### decodeHex

    public static byte[] decodeHex(char[] data)
                            throws Md5Exception

  Throws:
    `Md5Exception`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.